Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 75822 - Evolution calender component hangs when evolution-alarm-notify is running
Summary: Evolution calender component hangs when evolution-alarm-notify is running
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: evolution
Version: 8.0
Hardware: athlon
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-13 05:40 UTC by Brandon Yap
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-03 07:38:12 UTC


Attachments (Terms of Use)
strace output from child process for netstat child (deleted)
2003-12-12 16:57 UTC, jconner
no flags Details

Description Brandon Yap 2002-10-13 05:40:30 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
The calendar module often hangs when evolution-alarm-notify is running at
Evolution startup. When evolution goes into hang state, killing
evolution-calendar is the only thing that recovers interactivity, albeit without
being able to use the Calender for that session.
If evolution-alarm-notify isn't killed before Evolution startup, there's a high
chance that the calendar component will hang.
On a side note i've synched my Palm with Evolution but this issue occurs even
without gpilotd running. I mention this just in case it has something to with
synching and conduit use.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Fire up Evolution
2. Click on Calendar, then Address book, and any Inbox in no specific order.
3. Exit Evolution
4. Keep repeating process and after a few attempts, Evolution will hang.

Actual Results:  The calendar component causes Evolution to hang.

Expected Results:  Evolution should fire up perfectly every time. Shouldn't need
to kill evolution-alarm-notify before starting up.

Additional info:

Comment 1 Brandon Yap 2002-10-13 06:02:28 UTC
I don't know if this has anything to do with the above mention problem, but it
won't hurt mentioning.
When I start evolution -without- killing evolution-alarm-notify, I get a
[netstat <defunct>] process in my process table, along with all the other
processes that start when evolution starts up.
If I kill evolution-alarm-notify before starting evolution, the [netstat
<defunct>] process doesn't show up.


Comment 2 Jeremy Katz 2002-10-21 18:49:02 UTC
If you strace the evolution-calendar process when it hangs, what is it hanging
doing?  I haven't seen this and I regularly shut down and restart evolution on
my box at work

Comment 3 Brandon Yap 2002-10-22 01:01:01 UTC
Here's the last few lines when I strace evolution after it's hung.

poll([{fd=3, events=POLLIN}, {fd=4, events=POLLIN|POLLPRI}, {fd=6,
events=POLLIN}], 3, 0) = 0
brk(0x8121000)                          = 0x8121000
gettimeofday({1035248115, 604681}, NULL) = 0
write(3, "\225\3\n\0\336\0\200\1\341\0\200\1\0\6@\0(\4\0\0!\0 \0"..., 40) = 40
ioctl(3, 0x541b, [0])                   = 0
poll([{fd=3, events=POLLIN}, {fd=4, events=POLLIN|POLLPRI}, {fd=6,
events=POLLIN}, {fd=5, events=POLLIN}, {fd=8, events=POLLIN}, {fd=9,
events=POLLIN}, {fd=10, events=POLLIN}], 7, 0) = 0
writev(8, [{"GIOP\1\0\1", 7}, {"\0\357\0\0\0", 5}, {"\0\0\0\0", 4},
{"\354\364\377\277\1", 5}, {"\0\0\0", 3},
{"\30\0\0\0\0\0\0\0\356P\316!n\264\320\202\3\0\0\0\37\304"..., 28},
{"\21\0\0\0activate_from_id\0", 21}, {"\0\0\0", 3}, {"\0\0\0\0", 4}, {"/\0\0\0",
4}, {"OAFIID:GNOME_Evolution_Calendar_"..., 47}, {"\0", 1}, {"\0\0\0\0", 4},
{"\10\0\0\0", 4}, {"\t\0\0\0", 4}, {"username\0", 9}, {"\0\0\0", 3},
{"\5\0\0\0", 4}, {"byap\0", 5}, {"\0\0\0", 3}, {"\t\0\0\0",
4}, {"hostname\0", 9}, {"\0\0\0", 3}, {"\24\0\0\0", 4},
{"icedvovo.zoobog.com\0", 20}, {"\7\0\0\0", 4}, {"domain\0", 7}, {"\0", 1},
{"\5\0\0\0", 4}, {"user\0", 5}, {"\0\0\0", 3}, {"\10\0\0\0", 4}, {"display\0",
8}, {"\3\0\0\0", 4}, {":0\0", 3}], 35) = 251
select(11, [5 8 9 10], NULL, [5 8 9 10], NULL) = 1 (in [8])
read(8, "GIOP\1\0\1\1\370\0\0\0", 12)   = 12
read(8, "\0\0\0\0\354\364\377\277\0\0\0\0Y\0\0\0OAFAID:[OAFIID:"..., 248) = 248
socket(PF_UNIX, SOCK_STREAM, 0)         = 11
connect(11, {sin_family=AF_UNIX,
path="/tmp/orbit-byap/orb-4077994761508284213"}, 41) = 0
fcntl64(11, F_SETFD, FD_CLOEXEC)        = 0
fcntl64(11, F_GETFL)                    = 0x2 (flags O_RDWR)
fcntl64(11, F_SETFL, O_RDWR|O_NONBLOCK) = 0
writev(11, [{"GIOP\1\0\1", 7}, {"\0D\0\0\0", 5}, {"\0\0\0\0", 4},
{"|\365\377\277\1", 5}, {"\0\0\0", 3},
{"\30\0\0\0\0\0\0\0\224x\247c\256\2518\216\5\0\0\0\350\375"..., 28},
{"\24\0\0\0_get_supportedTypes\0", 24}, {"\0\0\0\0", 4}], 8) = 80
select(12, [5 8 9 10 11], NULL, [5 8 9 10 11], NULL

I hope you can make head and tails out of that cos I sure can't :)
If there's any other info I can help you capture, i'd be most happy to oblige.

Comment 4 Jeremy Katz 2002-12-13 16:04:55 UTC
When this happens, if you look at the output of 'ps aux |grep evo' do you see
evolution-executive-summary in a stopped (T) state?

Comment 5 Jeremy Katz 2003-01-03 07:38:12 UTC
Closing due to inactivity.  If you have any further information to add to this
bug, please feel free to reopen it.

Comment 6 jconner 2003-12-12 16:57:40 UTC
Created attachment 96497 [details]
strace output from child process for netstat child


Note You need to log in before you can comment on or make changes to this bug.